<?php
/******************************************************
 *	 "", ., 2005-2006 .
 *	  XML    
 *	c  http://www.agroprombank.com/xmlinformer.php.
 *     XML    DOM XML.
 *	  XML :
 *		date=YYYY-MM-DD -  .  - , , . 
 *						  -   .
 *		type=STRING  -  STRING    
 *						official / commercial / internetbank / all. 
 *						    all.
 *  : www.agroprombank.com/?id=199
 *
 *       XML  
 *   XSLT      HTML.
 *
 *            
 *              
 *   .
 *
 *  :   (A.Shtyrbu@agroprombank.com)
 *****************************************************/	


// $url = 'http://www.agroprombank.com/xmlinformer.php?type=internetbank';
$url = 'http://www.agroprombank.com/xmlinformer.php';

//  XML  
$file = @file($url,"r") or die('Error open URL');
$xml = implode($file);

//   DOM XML
if (!$dom = domxml_open_mem($xml)) {
  echo "Error while parsing the document\n";
  exit;
}

//   
$root = $dom->document_element();
	
//    
$courses = array();

//     XML    .

//   
foreach ($root->get_elements_by_tagname("course") as $node)
	{
		switch($node->get_attribute('type'))
		{
			case 'official':	//  
				$courses['official_date']=$node->get_attribute('date');
				foreach ($node->child_nodes() as $currencyNode)
					$courses['official'][$currencyNode->get_attribute('code')] = $currencyNode->get_content();
				break;
			case 'commercial':	//  
				$courses['commercial_date']=$node->get_attribute('date');
				foreach ($node->child_nodes() as $currencyNode){	
					$currencyCode = $currencyNode->get_attribute('code');
					foreach($currencyNode->child_nodes() as $child){
						if($child->tagname()=='currencySell') $courses['commercial'][$currencyCode]['sell'] = $child->get_content();
						if($child->tagname()=='currencyBuy') $courses['commercial'][$currencyCode]['buy'] = $child->get_content();
					}
				}
				break;
			case 'internetbank':	//   -
				$courses['internetbank_date']=$node->get_attribute('date');
				foreach ($node->child_nodes() as $currencyNode){	
					$currencyCode = $currencyNode->get_attribute('code');
					foreach($currencyNode->child_nodes() as $child){
						if($child->tagname()=='currencySell') $courses['internetbank'][$currencyCode]['sell'] = $child->get_content();
						if($child->tagname()=='currencyBuy') $courses['internetbank'][$currencyCode]['buy'] = $child->get_content();
					}
				}
				break;
		}
	}
	
/****
       $courses.   .
 
*/	
?>
<html>
<head><title>PHP-  XML   .</title></head>
<body>
<?


if(is_array($courses['official'])){ ?>
<table border="1">
<caption>    <?=$courses['official_date']?></caption>
	<tr>
		<th></th>
		<th></th>
	</tr>
<?
foreach($courses['official'] as $code=>$course)
	echo "<tr><td>".$code."</td><td>".$course."</td></tr>";
	?>	
</table>
	
<? }
	
if(is_array($courses['commercial'])){?>
<table border="1">
<caption>    <?=$courses['commercial_date']?></caption>
	<tr>
		<th></th>
		<th></th>
		<th></th>
	</tr>
<?
foreach($courses['commercial'] as $code=>$course)
	echo "<tr><td>".$code."</td><td>".$course['buy']."</td><td>".$course['sell']."</td></tr>";
	?>	
</table>
<?
}
	
if(is_array($courses['internetbank']))
{
?>


<table border="1">
<caption>   -  <?=$courses['internetbank_date']?></caption>
	<tr>
		<th></th>
		<th></th>
		<th></th>
	</tr>
<?
foreach($courses['internetbank'] as $code=>$course)
	echo "<tr><td>".$code."</td><td>".$course['buy']."</td><td>".$course['sell']."</td></tr>";
	?>	
</table>
<?}
?>
<p><a href='http://www.agroprombank.com/'>    &laquo;&raquo;</a></p>